<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>CSS Styling Properties and Position</title>
	<link rel="stylesheet" type="text/css" href="./index.css">
</head>
<body>
	<h2>CSS Common Styling</h2>
	<div id="div1">This is a div</div>
	<span id="span1">This is a span</span>
	<br><img src="https://place-puppy.com/450x450" id="img"><br>
	<span id="span2">This is another span</span>
	<div id="div2">This is another div</div>

	<h3>Notes in block, inline and inline-block</h3>
	<p id="p1">Block takes up the whole width</p>
	<p id="p2">width 60</p>
	<p id="p3">width 40</p>
	<p>Even if there is enough space, block elements do not sit next to each other unless if they are floated</p>

	<p>Inline Elements are things like bold and Italics. You cannot control the height and width of these elements.</p>

	<p>Inline-block sit on the same line and combines block and inline properties</p>

	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>
	<div class="sample">width = 30</div>

	<hr>

	<h3>Float</h3>

	<p>The float property is used for positioning and formatting conent e.g. let an image float left to the text in a container</p>

	<p>
		<img src="https://place-puppy.com/450x450" class="imgFloat">
		Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
		tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
		quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
		consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse
		cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non
		proident, sunt in culpa qui officia deserunt mollit anim id est laborum.
	</p>

	<hr>

	<h3>CSS Units</h3>

	<h4>px vs %</h4>

	<div class="box fiftyPercent">50%</div>
	<div class="box oneHundredpx">100px</div>

	<br>

	<div class="parent">
		<div class="box fiftyPercent">50%</div>
		<div class="box oneHundredpx">100px</div>
	</div>

	<hr>

	<section class="background">
		<div class="container-bg">
			<h3 class="bg-title">CSS Background Properties</h3>
		</div>
	</section>

	<hr>
	<div class="parent-element">
		Perent Element
		<div class="child1">
			I am child number 1.
		</div>
		<div class="child2">
			I am child number 2.
		</div>
		<div class="child3">
			I am child number 3.
		</div>
	</div>

	<hr>

	<h2>Z-index Example</h2>

	<p>An element with greater stack order is always above an element with a lower stack order</p>

	<div class="container">
		<div class="black-box">z index 1</div>
		<div class="gray-box">z index 2</div>
	</div>
</body>
</html>